      subroutine issetcon ( array, lenarr, const )
c ======================================================================
c
c
c        programmer     Guus Segal
c        version 1.0    date 21-12-94
c
c   copyright (c) 1994-1994  "TU Delft"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "TU Delft".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c ********************************************************************
c
c                         DESCRIPTION
c
c    Set array array equal to constant value const
c
c ********************************************************************
c
c                      KEYWORDS
c
c    initializations
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      integer lenarr
      double precision array(lenarr), const

c     array     o    Double precision array
c     const     i    General const
c     lenarr    i    Length of array
c ********************************************************************
c
c                    COMMON BLOCKS
c
c ********************************************************************
c
c                    LOCAL PARAMETERS
c
      integer i

c     i         General loop variable
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c ********************************************************************
c
c                              I/O
c
c ********************************************************************
c
c                    ERROR MESSAGES
c
c ********************************************************************
c
c                    PSEUDO CODE
c
c ********************************************************************
c
c                    DATA STATEMENTS
c
c ======================================================================
c
      do 100 i = 1, lenarr
         array(i) = const
100   continue
      end
