      subroutine usfil2 ( choice, coefs, ncoefs, icoefs,
     .                    ni, nj, ndim,
     .                    coor, solut, ndegfd, work, nwork, time )

c     ------ dummy version and template, 2D case

c***********************************************************************
c
c     programmer   Zdenek Vlasek
c     version      1.0  18-08-92
c
c***********************************************************************
c
c     A user supplied subroutine "usfil2" is needed instead of this dummy !!!
c
c     The coefficients
c             coefs ( 1:ni, 1:nj, icoefs:icoefs )
c     must be filled here by the user, corresponding to his/her option
c             ...  func = choice
c     which has occured in the COEFFICIENTS part of problem description
c
c***********************************************************************

cimp      implicit none

      integer choice, ncoefs, icoefs, ni, nj, ndim, ndegfd, nwork

      double precision coefs (   ni+1,   nj+1,  ncoefs ),
     .                 coor  ( 0:ni+2, 0:nj+2,  ndim   ),
     .                 solut (   ni+1,   nj+1,  ndegfd,  2 ),
     .                 work  (   ni+1,   nj+1,  nwork  ),
     .                 time

c     *  Local variables

      integer idim, ip, jp, i, j
      double precision sum, center(2)

c     *  Check  ndim

      if ( ndim .ne. 2 ) then
c        call iserr ( 'usfil2', 266 )
      endif

c     *  Check the value of choice here, an example:

      if ( choice.lt.1 .or. choice.ge.1 ) then
         write(*,*) 'choice =', choice
c         call iserr ( 'usfil2', 267 )
      endif

c     *  This is only a dummy version and a template

      write (*,'(1x,a)') ' ',
     .  'USFIL2 is a user supplied subroutine for coefficients,',
     .  '       in the older versions of ISNAS it was ISFIL2,',
     .  '       rename your old version,',
     .  '     ! check the parameter list, see sourcedu/usfil2'

c      call iserr ( 'usfil2', 255 )
      if (.true.) stop

c     *  Loop over all cells

      do 320 jp = 1, nj
        do 310 ip = 1, ni

c         *  Calculate cooridnates of the central point:  center(1:ndim)

          do 200 idim = 1, ndim
            sum = 0d0

            do 120 j = 0, 1
              do 110 i = 0, 1
                sum = sum + coor ( ip+i, jp+j, idim )
110           continue
120         continue
            center(idim) = sum / 8d0

200       continue

c         *  Fill  coefs(ip,jp,icoef)  ... it may depend on choice

310     continue
320   continue

      end
