      subroutine isstunix
c ======================================================================
c
c        programmer   Guus Segal
c        version 1.0    date   08-02-94 (Subroutine extracted from the SEPRAN
c                                        subroutine STUNIX version 1.2)
c
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c ********************************************************************
c
c    machine-dependent subroutine that is used to get some
c    parameters from the environment
c
c    This version is meant for unix
c
c **********************************************************************
c
c                   COMMON BLOCKS
c
      include 'IScommon/cisnasch'
c **********************************************************************
c
cuni      character * 50 name
cuni      integer lenhom, lenbin, ipid, getpid

c    getpid   Standard UNIX function to get the process id
c    ipid     Process id
c    lenbin   Number of characters in the name after SPHOME/bin
c    lenhom   Number of characters in the name sphome
c    name     Name of string read for the environment
c **********************************************************************
c
cuni      if ( namef4(1:6).eq.'SPHOME' ) then
cuni
cunic      Substitute sphome for SPHOME
cuni
cuni         name = ' '
cuni         lenhom = index ( sphome, ' ' ) - 1
cuni         name(1:lenhom) = sphome(1:lenhom)
cuni         lenbin = index ( namef4, ' ' ) - 1
cuni         name(lenhom+1:lenhom+lenbin-6) = namef4(7:lenbin)
cuni         namef4 = name
cuni
cuni      end if
cuni      if ( namems(1:6).eq.'SPHOME' ) then
cuni
cunic      Substitute sphome for SPHOME
cuni
cuni         name = ' '
cuni         lenhom = index ( sphome, ' ' ) - 1
cuni         name(1:lenhom) = sphome(1:lenhom)
cuni         lenbin = index ( namems, ' ' ) - 1
cuni         name(lenhom+1:lenhom+lenbin-6) = namems(7:lenbin)
cuni         namems = name
cuni
cuni      end if
cuni
cunic    * get process id and put into pidsep
cuni
cuni      ipid = getpid()
cuni      write ( pidsep, 100) ipid
cuni100   format(i6.6)

      end
